<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".DrawingActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:id="@+id/control_panel"
        android:layout_marginTop="10dp"
        >



        <Button
            android:layout_width="@dimen/icons_dim"
            android:layout_height="@dimen/icons_dim"
            android:layout_gravity="start"
            android:id="@+id/reset_btn"
            android:background="@drawable/ic_delete_paint_sweep_black_24dp"
            android:layout_marginStart="10dp"
            android:layout_marginLeft="10dp"
            />

        <Button
            android:layout_width="@dimen/icons_dim"
            android:layout_height="@dimen/icons_dim"
            android:layout_gravity="start"
            android:id="@+id/brush_button"
            android:background="@drawable/ic_brush_black_24dp"
            android:layout_marginStart="10dp"
            android:layout_marginLeft="10dp"
            />

        <Button
            android:layout_width="@dimen/icons_dim"
            android:layout_height="@dimen/icons_dim"
            android:layout_gravity="start"
            android:id="@+id/color_picker_btn"
            android:background="@drawable/ic_color_picker_black_24dp"
            android:layout_marginStart="10dp"
            android:layout_marginLeft="10dp"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/game_status"
            android:textColor="@color/colorPrimary"
            android:text=""
            android:layout_gravity="start"
            android:layout_marginStart="30dp"
            android:layout_marginLeft="30dp"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/game_info"
            android:text=""
            android:layout_gravity="start"
            android:layout_marginStart="30dp"
            android:layout_marginLeft="30dp"
            />


    </LinearLayout>


    <Button
        android:layout_width="@dimen/icons_dim"
        android:layout_height="@dimen/icons_dim"
        android:id="@+id/exit_button"
        android:background="@drawable/ic_exit_to_app_black_24dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentEnd="true" />


    <com.korostelev.cr0c0dile.drawing.DrawingView
        android:id="@+id/drawing_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/control_panel"
        android:layout_toLeftOf="@id/msg_list_view"
        android:layout_toStartOf="@id/msg_list_view"
        android:layout_above="@id/chat_panel"
        />



    <view class="androidx.recyclerview.widget.RecyclerView"
        android:layout_width="200dp"
        android:layout_height="match_parent"
        android:id="@+id/msg_list_view"
        android:layout_alignParentRight="true"
        android:layout_alignParentEnd="true"
        android:scrollbarThumbVertical="@drawable/chat_view_scroll"
        android:layout_above="@id/chat_panel"
        >
    </view>



    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:id="@+id/chat_panel"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        >

        <EditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/chat_input"
            android:text=""
            android:inputType="text"
            android:imeOptions="flagNoExtractUi"
            android:hint="@string/type_a_message_hint"
            android:layout_toStartOf="@id/btn_send"
            android:layout_toLeftOf="@id/btn_send"
            android:autofillHints="" />

        <Button
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:id="@+id/btn_send"
            android:background="@drawable/ic_send_black_24dp"
            android:layout_alignParentEnd="true"
            android:layout_alignParentRight="true" />

    </RelativeLayout>



</RelativeLayout>